# tbb::flow::interface6::write_once_node< T > Class Template Reference

Inheritance diagram for tbb::flow::interface6::write_once_node< T >:

List of all members.

## Public Types
typedef T | input_type
| The input type of this receiver.
typedef T | output_type
| The output type of this sender.
typedef sender< input_type > | predecessor_type
| The predecessor type for this node.
typedef receiver< output_type > | successor_type
| The successor type for this node.
## Public Member Functions
| write_once_node (graph &g)
| Constructor.
| write_once_node (const write_once_node &src)
| Copy constructor: call base class copy constructor.
## Protected Member Functions
task * | try_put_task (const T &v)
## Friends
class | run_and_put_task
| put item to successor; return task to run the successor if possible.
class | internal::broadcast_cache
class | internal::round_robin_cache

### template<typename T>
class tbb::flow::interface6::write_once_node< T >

The documentation for this class was generated from the following file:

- flow_graph.h

Copyright © 2005-2013 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.